import request from '@/utils/request'

// /prod-api/front/report/getClassReportForStudent
// 01 学生测评报告
export function getClassReportForStudent(params) {
    return request({
        url: '/front/report/getClassReportForStudent',
        method: 'get',
        params: params
    })
}

// /prod-api/front/report/getClassReportForTeacher
// 02 班级测评报告
export function getClassReportForTeacher(params) {
    return request({
        url: '/front/report/getClassReportForTeacher',
        method: 'get',
        params: params
    })
}

// /prod-api/front/report/getAllTestReportForStudent
// 11 学生多次测评报告
export function getAllTestReportForStudent(params) {
    return request({
        url: '/front/report/getAllTestReportForStudent',
        method: 'get',
        params: params
    })
}

// /prod-api/front/report/getAllTestReportForClass
// 12 班级多次测评报告
export function getAllTestReportForClass(params) {
    return request({
        url: '/front/report/getAllTestReportForClass',
        method: 'get',
        params: params
    })
}

// /prod-api/front/report/getClassReportForMaster
// 03 年级测评报告
export function getClassReportForMaster(params) {
    return request({
        url: '/front/report/getClassReportForMaster',
        method: 'get',
        params: params
    })
}

// /prod-api/front/report/getClassReportForStudent2
// 01 学生测评报告(非学校测评)
export function getClassReportForStudent2(params) {
    return request({
        url: '/front/report/getClassReportForStudent2',
        method: 'get',
        params: params
    })
}

// /prod-api/front/report/getQuestionExaminees
// 04 试题人员
export function getQuestionExaminees(params) {
    return request({
        url: '/front/report/getQuestionExaminees',
        method: 'get',
        params: params
    })
}